---
title: Martin Wencel
published: true
taxonomy:
    category: [bp2021]
    tag: [demo,nlp]
    author: Daniel Hladek
---
# Martin Wencel 

Rok začiatku štúdia: 2018

Podmienkou pre získanie zápočtu je účasť na konzultácii min. raz za 2 týždne. Menej ako 6 konzultácií za semester je dôvod pre zníženie hodnotenia alebo neudelenie zápočtu.
Komunikácia je možná aj cez [MS Teams](https://teams.microsoft.com/l/team/19%3aa8596a401a3842e5b91ac918a2a0afb1%40thread.tacv2/conversations?groupId=4fc0c627-d424-4587-b73a-2e47509862e9&tenantId=1c9f27ef-fee6-45f4-9a64-255a8c8e25a5).
Konzultačné hodiny sú v piatok 9:20-14:00.


## Bakalársky projekt 2020

Názov: Online demonštrácia spracovania slovenského prirodzeného jazyka


Návrh na zadanie:

1. Vyberte a naštudujte metódu spracovania prirodzeného jazyka.
1. Vypracujte teoretický úvod do zvolenej metódy spracovania prirodzeného jazyka.
1. Vytvorte demonštračnú webovú aplikáciu pomocou ktorej je možné vyskúšať zvolenú metódu.
1. Navrhnite možné zlepšenia Vami vytvorenej aplikácie.

Stretnutie 1.10.2O20:

Na štúdium:
- https://git.kemt.fei.tuke.sk/KEMT/zpwiki/src/branch/master/pages/topics
- https://student.kemt.fei.tuke.sk/predmety/zct
- Dive into Python 3

Na vypracovanie:

- Prečítajte si čo je to "natural language processing" a urobte si poznámky. Do poznámok si zapíšte čo ste sa dozvedeli a zdroj.
- Nainštalujte si prostredie Anaconda
- Nainštalujte si Docker
- Skúste rozbehať demo z https://github.com/jgontrum/spacy-api-docker 

Na zlepšenie:

- Chceme vybrať metódu NLP ktorej sa budeme venovať.
- chceme vybrať knižnicu alebo demo ktoré budeme prezentovať.
