---
title: Samuel Širotník 
published: true
date: 01-02-2014
taxonomy:
    category: [bp2021]
    tag: [raspberrypi,cloud]
    author: Daniel Hladek
---
# Samuel Širotník

Rok začiatku štúdia: 2018

## Bakalársky projekt 2020

Pokusný klaster Raspberry Pi pre výuku klaudových technológií

1. Vypracujte teoretický úvod do technológie Kubernetes
2. Vytvorte pokusný klaster pomocou viacerých modulov Raspberry Pi a nainštalujte na neho Kubernmetes
3. Vypracujte podrobný návod na zostavenie hardvérovej časti
4. Vypracujte podrobný návod na inštaláciu softvéru - operačného systému a súčastí Kubernetes.

Ciel projektu je vytvoriť domáci lacný klaster pre výuku cloudových technológií.



Stretnutie 29.9.


Dohodli sme sa na zadaní práce.


Návrhy na zlepšenie (pre vedúceho):

- Zistiť podmienky financovania (odhad 350EUR).
- K dispozícii je ARM počítač "Jetson Xavier AGX" - vytvoriť prístup.

Úlohy na ďalšie stretnutie: 

- Prečítajte si:
    - https://magpi.raspberrypi.org/articles/build-a-raspberry-pi-cluster-computer
    - https://www.raspberrypi.org/blog/five-years-of-raspberry-pi-clusters/
    - https://kubecloud.io/setting-up-a-kubernetes-on-arm-cluster-on-raspberry-pis-f7f64065138c
    - https://kubernetes.io/docs/tutorials/
    - https://student.kemt.fei.tuke.sk/predmety/zct
- Nainštalujte si:
    - https://kubernetes.io/docs/tasks/tools/install-minikube/
    - Docker
- Pripravte návrh aký hardware a software bude potrebný.

Podmienkou pre získanie zápočtu je účasť na konzultácii min. raz za 2 týždne. Menej ako 6 konzultácií za semester je dôvod pre zníženie hodnotenia alebo neudelenie zápočtu.
Komunikácia je možná aj cez [MS Teams](https://teams.microsoft.com/l/team/19%3aa8596a401a3842e5b91ac918a2a0afb1%40thread.tacv2/conversations?groupId=4fc0c627-d424-4587-b73a-2e47509862e9&tenantId=1c9f27ef-fee6-45f4-9a64-255a8c8e25a5).
